### Method

# Gio TcpConnection get_graceful_disconnect

since: 2.22

#### Declaration

    gboolean
    g_tcp_connection_get_graceful_disconnect (
      GTcpConnection* connection
    )

#### Description

Checks if graceful disconnects are used. See g_tcp_connection_set_graceful_disconnect().

Available since: 2.22

Gets property | `Gio.TcpConnection:graceful-disconnect`

#### Return value

Type: `gboolean`

`TRUE` if graceful disconnect is used on close, `FALSE` otherwise.